libxml++ 3.2.0

Public Member Functions | List of all members
xmlpp::internal_error Class Reference

`#include <libxml++/exceptions/internal_error.h>`

Inheritance diagram for xmlpp::internal_error:
[legend]

## Public Member Functions
| internal_error (const Glib::ustring& message)
| ~internal_error () noexcept override
exception* | clone () const override
void | raise () const override
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexcept override
const char* | what () const noexcept override

## Constructor & Destructor Documentation

## ◆ internal_error()

xmlpp::internal_error::internal_error | ( | const Glib::ustring & | message | ) |
| explicit

## ◆ ~internal_error()

xmlpp::internal_error::~internal_error | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ clone()

exception* xmlpp::internal_error::clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

## ◆ raise()

void xmlpp::internal_error::raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.